aboutsummaryrefslogtreecommitdiff
path: root/rel/files
diff options
context:
space:
mode:
authorlain <lain@soykaf.club>2019-11-05 15:21:00 +0100
committerlain <lain@soykaf.club>2019-11-05 15:21:00 +0100
commit1bd1f62af55e01613e6362661b36a19091c87424 (patch)
tree519963a50af82c1a0b251f1405d663ba9ccd4714 /rel/files
parentfaced6236b9e2ce9675cf743068f16098b744562 (diff)
parentf11eebc18383be7d7b4b037582e4e1e08b74653b (diff)
downloadpleroma-1bd1f62af55e01613e6362661b36a19091c87424.tar.gz
Merge branch 'develop' of git.pleroma.social:pleroma/pleroma into remake-remodel
Diffstat (limited to 'rel/files')
-rwxr-xr-xrel/files/bin/pleroma_ctl16
1 files changed, 10 insertions, 6 deletions
diff --git a/rel/files/bin/pleroma_ctl b/rel/files/bin/pleroma_ctl
index f767fe134..87c486514 100755
--- a/rel/files/bin/pleroma_ctl
+++ b/rel/files/bin/pleroma_ctl
@@ -35,11 +35,11 @@ detect_branch() {
if [ "$branch" = "develop" ]; then
echo "develop"
elif [ "$branch" = "" ]; then
- echo "master"
+ echo "stable"
else
# Note: branch name in version is of SemVer format and may only contain [0-9a-zA-Z-] symbols —
# if supporting releases for more branches, need to ensure they contain only these symbols.
- echo "Releases are built only for master and develop branches" >&2
+ echo "Can't detect the branch automatically, please specify it by using the --branch option." >&2
exit 1
fi
}
@@ -140,12 +140,16 @@ else
FULL_ARGS="$*"
ACTION="$1"
- shift
-
- if [ "$(echo \"$1\" | grep \"^-\" >/dev/null)" = false ]; then
- SUBACTION="$1"
+ if [ $# -gt 0 ]; then
shift
fi
+ echo "$1" | grep "^-" >/dev/null
+ if [ $? -eq 1 ]; then
+ SUBACTION="$1"
+ if [ $# -gt 0 ]; then
+ shift
+ fi
+ fi
if [ "$ACTION" = "update" ]; then
update "$@"